﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class BarProgress : MonoBehaviour {

    
    Image m_bar;

    Vector2 size;
    Vector2 position;

    public float barFill { get { return m_bar.fillAmount; } set { m_bar.fillAmount = value; } }
    public Color barColor { get { return m_bar.color; } set { m_bar.color = value; } }

    // Use this for initialization
    void Start () {

        Image[] images = GetComponentsInChildren<Image>();

        foreach(Image i in images)
        {
            if (i.name == "Bar")
                m_bar = i;
        }
	}
}
